org.apache.fop.fonts

## Class Base14Font

- java.lang.Object
- - org.apache.fop.fonts.Typeface
  - - org.apache.fop.fonts.Base14Font

All Implemented Interfaces:
  FontMetrics

Direct Known Subclasses:
  Courier, CourierBold, CourierBoldOblique, CourierOblique, Helvetica, HelveticaBold, HelveticaBoldOblique, HelveticaOblique, Symbol, TimesBold, TimesBoldItalic, TimesItalic, TimesRoman, ZapfDingbats

    public abstract class Base14Font
    extends Typeface

Base class for all Base 14 fonts.

### Field Summary

### Fields inherited from class org.apache.fop.fonts.Typeface

`eventListener, NOT_FOUND`

### Constructor Summary

Constructors
Constructor and Description
`Base14Font()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getStrikeoutPosition(int size)` Returns the distance from the baseline to the center of the strikeout line (negative value indicates below baseline).
`int` `getStrikeoutThickness(int size)` Returns the thickness of the strikeout line.

### Methods inherited from class org.apache.fop.fonts.Typeface

`getEncodingName, getMaxAscent, hadMappingOperations, hasChar, hasFeature, isCID, isMultiByte, mapChar, notifyMapOperation, setEventListener, toString, warnMissingGlyph`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.fop.fonts.FontMetrics

`getAscender, getBoundingBox, getCapHeight, getDescender, getEmbedFontName, getFamilyNames, getFontName, getFontType, getFontURI, getFullName, getKerningInfo, getUnderlinePosition, getUnderlineThickness, getWidth, getWidths, getXHeight, hasKerningInfo`

### Constructor Detail

#### Base14Font

    public Base14Font()

### Method Detail

#### getStrikeoutPosition

    public int getStrikeoutPosition(int size)

Description copied from interface: `FontMetrics`
Returns the distance from the baseline to the center of the strikeout line (negative value indicates below baseline).

Parameters:
  `size` - font size
Returns:
  the position in 1/1000ths of the font size

#### getStrikeoutThickness

    public int getStrikeoutThickness(int size)

Description copied from interface: `FontMetrics`
Returns the thickness of the strikeout line.

Parameters:
  `size` - font size
Returns:
  the thickness in 1/1000ths of the font size